Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008473TestLinkTest Specification Importpublic2018-11-14 12:232019-08-13 09:31
Reportersrisakthi22 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.18 (2018 Q3) 
Fixed in Version1.9.19 (2019 Q1) 
Summary0008473: HTTP 500 error displayed on importing xml
DescriptionHTTP 500 error displayed on importing xml using Tes Case operations >> Import option from a Test Specification folder
Steps To ReproduceLaunch TestLink
Select a Test project
Navigate to Test Specification >> Action >> Test Cases >> Import.
Select the XMl and click on Upload.
HTTP 500 error displayed.
The same xml is working in another TestLink version(1.9.16).
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon 1.xml [^] (2,952 bytes) 2018-11-15 04:55

- Relationships

-  Notes
(0028236)
fman (administrator)
2018-11-14 16:17

for import/export errors the sample xml file is needed
(0028237)
fman (administrator)
2018-11-14 16:18

Please do not attach documents to attach simple images
(0028238)
srisakthi22 (reporter)
2018-11-15 04:56

I have attached the sample xml used
(0028244)
fman (administrator)
2018-11-17 08:31

tested on latest code from github, using php 5.6.37 no issues

TestLink messages after impirt


Test Case : Testcase 1 : ok
Test Case : Testcase 1 : Custom Field values are present on import file but can not be imported because there are no Custom Fields with Test Spec. Design Scope on this Test Project
(0028380)
fman (administrator)
2018-12-23 09:34

unfortunately user did not provide more feedback
(0029078)
hstk (reporter)
2019-08-13 08:31

Hi~
I also meet this issue in the version: 1.9.19 (Metonic cycle).
In the logs/userlog*.log, I only get the log like below

```
[>>][5d52644694b00590340667][DEFAULT][/testlink/lib/testcases/tcImport.php][19/Aug/13 07:18:30]
        [19/Aug/13 07:18:30][L18N][nvbcmtoulv3q99u7aooqgd6rq7][GUI - ???? ID : 1]
                string 'skip_testcase_import' is not localized for locale 'en_GB'

```
Nothing else look like error info in log.
So is something config fail??
(0029079)
fman (administrator)
2019-08-13 09:31

I would like to have feedback for the original reporter, anyway I'm not able to reproduce, then I'm unable to help.

- Issue History
Date Modified Username Field Change
2018-11-14 12:23 srisakthi22 New Issue
2018-11-14 12:23 srisakthi22 File Added: Error.docx
2018-11-14 16:16 fman QA Team - Task Workflow Status => TBD
2018-11-14 16:16 fman View Status private => public
2018-11-14 16:17 fman Note Added: 0028236
2018-11-14 16:17 fman Assigned To => fman
2018-11-14 16:17 fman Status new => feedback
2018-11-14 16:17 fman File Deleted: Error.docx
2018-11-14 16:18 fman Note Added: 0028237
2018-11-15 04:55 srisakthi22 File Added: 1.xml
2018-11-15 04:56 srisakthi22 Note Added: 0028238
2018-11-15 04:56 srisakthi22 Status feedback => assigned
2018-11-17 08:31 fman Note Added: 0028244
2018-11-17 08:31 fman Status assigned => feedback
2018-12-23 09:34 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-12-23 09:34 fman Note Added: 0028380
2018-12-23 09:34 fman Status feedback => resolved
2018-12-23 09:34 fman Fixed in Version => 1.9.19 (2019 Q1)
2018-12-23 09:34 fman Resolution open => fixed
2019-08-13 08:31 hstk Note Added: 0029078
2019-08-13 09:31 fman Note Added: 0029079



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker